summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jason Graham2018-05-07 23:45:06 +0200
committer Willy Sudiarto Raharjo2018-05-12 01:58:24 +0200
commit00c3f3759fc4625ff778ba2624b0faccf80eef51 (patch)
tree0c804c8343213d9ff248276909aec7e1655b926e
parent74d1e63c6791419d1ffc11b1597842b77feb95df (diff)
downloadslackbuilds-00c3f3759fc4625ff778ba2624b0faccf80eef51.tar.gz
system/powerpanel: Added (CyberPower PowerPanel Personal Edition).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/powerpanel/README13
-rw-r--r--system/powerpanel/README.SLACKWARE25
-rw-r--r--system/powerpanel/doinst.sh23
-rw-r--r--system/powerpanel/powerpanel.SlackBuild136
-rw-r--r--system/powerpanel/powerpanel.info10
-rw-r--r--system/powerpanel/slack-desc19
6 files changed, 226 insertions, 0 deletions
diff --git a/system/powerpanel/README b/system/powerpanel/README
new file mode 100644
index 0000000000..b4b45e61e8
--- /dev/null
+++ b/system/powerpanel/README
@@ -0,0 +1,13 @@
+powerpanel (CyberPower PowerPanel Personal Edition)
+
+PowerPanel features a user-friendly interface for controlling and
+monitoring any CyberPower UPS system with a USB or serial port. It
+provides configurable settings for managing automatic shutdowns during
+power events, scheduled shutdowns and restarts; it displays
+information such as input voltage, runtime, battery charge and current
+status; and it offers self-testing features, adjustable alarm
+settings, and more.
+
+See README.SLACKWARE for more information on post-installation
+configuration and how to start the pwrstatd daemon automatically at
+boot.
diff --git a/system/powerpanel/README.SLACKWARE b/system/powerpanel/README.SLACKWARE
new file mode 100644
index 0000000000..5eb4a62651
--- /dev/null
+++ b/system/powerpanel/README.SLACKWARE
@@ -0,0 +1,25 @@
+README.SLACKWARE
+Written by Jason Graham <jgraha8@gmail.com>
+
+You'll need to start the pwrstatd service at boot. The recommended way
+is to add the following to your /etc/rc.d/rc.local script:
+
+ if [ -x /etc/rc.d/rc.pwrstatd ]; then
+ /etc/rc.d/rc.pwrstatd start
+ fi
+
+Make sure the rc.pwrstatd script is executable.
+
+The configuration file /etc/pwrstat.conf contains the default upstream
+power management settings. Power management settings can be changed
+using this file (and restarting the pwrstatd service) or by using
+the pwrstat utility (see man pwrstat for the details).
+
+The /etc/powerpanel directory contains the scripts
+pwrstatd-powerfail.sh and pwrstatd-lowbatt.sh which are executed for
+various power events. These need to be modified if you would like to
+receive email notification of any related power events. The
+shutdown.sh and hibernate.sh scripts contain the commands for shutting
+down and hibernating the system, respectively. Unfortunately, the
+pwrstatd service has these scripts hardcoded to be located in /etc so
+there are symbolic links in /etc for each of these files.
diff --git a/system/powerpanel/doinst.sh b/system/powerpanel/doinst.sh
new file mode 100644
index 0000000000..ad28a04088
--- /dev/null
+++ b/system/powerpanel/doinst.sh
@@ -0,0 +1,23 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
diff --git a/system/powerpanel/powerpanel.SlackBuild b/system/powerpanel/powerpanel.SlackBuild
new file mode 100644
index 0000000000..02f3c3b86f
--- /dev/null
+++ b/system/powerpanel/powerpanel.SlackBuild
@@ -0,0 +1,136 @@
+#!/bin/sh
+
+# Slackware build script for powerpanel
+
+# Copyright 2017 Jason Graham Baltimore, MD, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=powerpanel
+VERSION=${VERSION:-1.3.2}
+PKGVER=${VERSION//./}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ PKGARCH=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ PKGARCH=x86_64
+else
+ printf "$ARCH is not supported.\n"; exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PKGVER-$PKGARCH.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install binary files
+mkdir -p $PKG/usr/sbin
+install -D -m 0755 bin/pwrstat $PKG/usr/sbin/pwrstat
+install -D -m 0755 bin/pwrstatd $PKG/usr/sbin/pwrstatd
+
+# Install scripts
+mkdir -p $PKG/etc/powerpanel
+for f in script/*.sh
+do
+ install -D -m 0755 $f $PKG/etc/powerpanel/${f##*/}
+done
+# Making links since these are required to be in /etc (they are
+# actually hardcoded in pwrstatd...no seriously, they are).
+ln -s /etc/powerpanel/shutdown.sh $PKG/etc/shutdown.sh
+ln -s /etc/powerpanel/hibernate.sh $PKG/etc/hibernate.sh
+
+# Update scripts configuration with updated email script location
+sed -i 's/\/etc\/pwrstatd-email.sh/\/etc\/powerpanel\/pwrstatd-email.sh/g' $PKG/etc/powerpanel/pwrstatd-lowbatt.sh
+sed -i 's/\/etc\/pwrstatd-email.sh/\/etc\/powerpanel\/pwrstatd-email.sh/g' $PKG/etc/powerpanel/pwrstatd-powerfail.sh
+
+# Install config file and update locations for scripts
+cat conf/pwrstatd.conf > $PKG/etc/pwrstatd.conf
+sed -i 's/\/etc\/init.d\/pwrstatd/\/etc\/rc.d\/rc.pwrstatd/g' $PKG/etc/pwrstatd.conf
+sed -i 's/\/etc\/pwrstatd-lowbatt.sh/\/etc\/powerpanel\/pwrstatd-lowbatt.sh/g' $PKG/etc/pwrstatd.conf
+sed -i 's/\/etc\/pwrstatd-powerfail.sh/\/etc\/powerpanel\/pwrstatd-powerfail.sh/g' $PKG/etc/pwrstatd.conf
+
+# Install rc script
+mkdir -p $PKG/etc/rc.d
+install -D -m 0644 script/default_pwrstatd $PKG/etc/rc.d/rc.pwrstatd
+sed -i 's/default_pwrstatd/rc.pwrstatd/g' $PKG/etc/rc.d/rc.pwrstatd
+
+# Install man pages
+mkdir -p $PKG/usr/man/man8
+cat doc/pwrstat.8 > $PKG/usr/man/man8/pwrstat.8
+cat doc/pwrstatd.8 > $PKG/usr/man/man8/pwrstatd.8
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/LICENSE doc/README doc/deploy-guide doc/user-manual $CWD/README.SLACKWARE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Don't clobber existing config files
+find $PKG/etc -type f -exec mv {} {}.new \;
+
+# Make sure we preserve permissions on rc-script(s)
+( cd $PKG
+ for i in $(find etc/rc.d -type f -name "*.new") ; do
+ echo "preserve_perms $i" >> $PKG/install/doinst.sh
+ done
+)
+
+( cd $PKG
+ for i in $(find etc -type f -name "*.new" -not -path "etc/rc.d/*") ; do
+ echo "config $i" >> $PKG/install/doinst.sh ;
+ done
+)
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/powerpanel/powerpanel.info b/system/powerpanel/powerpanel.info
new file mode 100644
index 0000000000..6405578e56
--- /dev/null
+++ b/system/powerpanel/powerpanel.info
@@ -0,0 +1,10 @@
+PRGNAM="powerpanel"
+VERSION="1.3.2"
+HOMEPAGE="https://www.cyberpowersystems.com/products/software/power-panel-personal/"
+DOWNLOAD="https://dl4jz3rbrsfum.cloudfront.net/software/powerpanel-132-i386.tar.gz"
+MD5SUM="833f35179a8b0ca303698de08f048c8b"
+DOWNLOAD_x86_64="https://dl4jz3rbrsfum.cloudfront.net/software/powerpanel-132-x86_64.tar.gz"
+MD5SUM_x86_64="d69233e117f92611931cb820bad141df"
+REQUIRES=""
+MAINTAINER="Jason Graham"
+EMAIL="jgraha8@gmail.com"
diff --git a/system/powerpanel/slack-desc b/system/powerpanel/slack-desc
new file mode 100644
index 0000000000..ff59d5dea4
--- /dev/null
+++ b/system/powerpanel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+powerpanel: powerpanel (CyberPower PowerPanel Personal Edition)
+powerpanel:
+powerpanel: PowerPanel features a user-friendly interface for controlling and
+powerpanel: monitoring any CyberPower UPS system with a USB or serial port. It
+powerpanel: provides configurable settings for managing automatic shutdowns
+powerpanel: during power events, scheduled shutdowns and restarts; it displays
+powerpanel: information such as input voltage, runtime, battery charge and
+powerpanel: current status; and it offers self-testing features, adjustable alarm
+powerpanel: settings, and more.
+powerpanel:
+powerpanel: